/***********************************************************************************************************************
 *
 * blueBill Mobile - Android - open source birding
 * Copyright (C) 2009-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluebill.tidalwave.it/mobile
 * SCM: https://java.net/hg/bluebill-mobile~android-src
 *
 **********************************************************************************************************************/
package it.tidalwave.bluebill.factsheet;

import javax.annotation.Nonnull;
import java.util.Map;
import it.tidalwave.util.Id;
import it.tidalwave.util.Key;
import it.tidalwave.semantic.EntityWithProperties;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 **********************************************************************************************************************/
public class Biblio extends EntityWithProperties<Biblio>
  {
    public Biblio (final @Nonnull Id id)
      {
        super(id);
      }

    private Biblio (final @Nonnull Id id,
                    final @Nonnull Map<Key<?>, Object> propertyMap,
                    final @Nonnull Object[] capabilities) 
      {
        super(id, propertyMap, capabilities);
      } 

    @Override @Nonnull
    protected Biblio clone (final @Nonnull Id id,
                            final @Nonnull Map<Key<?>, Object> propertyMap,
                            final @Nonnull Object[] capabilities)
      {
        return new Biblio(id, propertyMap, capabilities);
      }
  }
